<?php
    // https://css-tricks.com/tabs-its-complicated/

    global $wpdb;

    $params = array(
        'limit' => -1
    );

    $langs = pll_the_languages(array('raw'=>1));
    $langID = $langs[pll_current_language('slug')]['id'];
    $where = ' `langs`.`object_id` IS NOT NULL';

    $params['join'] = ' LEFT JOIN `' . $wpdb->prefix . 'term_relationships` AS `langs` ON `langs`.`object_id` = `t`.`ID` AND `langs`.`term_taxonomy_id` = ' . $langID;
    $params['where'] = $where;

    $pods = pods( 'team', $params);

    $total = $pods->total();

    if ($total > 0):

        $teams = $pods->data();
?>
    <div class="l-content--main">
        <h2><?php _e('Meet our teams 👋', 'biuro'); ?></h2>

        <div class="c-tabs">
            <ul class="o-nav c-tabs--nav">
<?php
            function getTeamURL($str) {
                return preg_replace('/\W+/', '-', strtolower($str));
            }

            foreach ($teams as &$team):
                $teamTitle = $team->post_title;
                $teamURL = getTeamURL($teamTitle);
?>
                <li class="c-tabs--nav-item">
                    <a class="c-tabs--nav-link" data-hash="#<?php echo $teamURL; ?>"  href="#<?php echo $teamURL; ?>"><?php echo $teamTitle; ?></a>
                </li>
<?php
            endforeach;
?>
            </ul>
<?php
            foreach ($teams as &$team):
                $teamTitle = $team->post_title;
                $teamURL = getTeamURL($teamTitle);;
?>
                <section id="<?php echo $teamURL; ?>" class="c-tabs--content">
                    <header class="c-tabs--headline" ><?php echo $team->post_content; ?></header>
                    <div class="c-members">
<?php
                        $members = get_the_terms($team->ID, 'member');

                        if (is_array($members)):
                            foreach ($members as &$member):
                                $photo = get_term_meta( $member->term_id, 'photo', true);
                                $position = get_term_meta( $member->term_id, 'position', true);
                                $enabled = get_term_meta( $member->term_id, 'enabled', true);

                                if ($enabled):
?>
                                <div class="c-member">
                                    <picture class="c-member--photo">
<?php
                                        if ($photo['guid']):
?>
                                            <img src="<?php echo $photo['guid']; ?>" alt="" loading="lazy" />
<?php
                                        endif;
?>
                                    </picture>
                                    <h4 class="c-member--info c-member--name" title="<?php echo $member->name; ?>"><?php echo $member->name; ?></h4>
                                    <div class="c-member--info c-member--position" title="<?php echo $position; ?>"><?php echo $position; ?></div>
                                </div>
<?php
                                endif;
                            endforeach;
                        endif;
?>
                    </div>
                </section>
<?php
            endforeach;
?>
        </div>
    </div>
<?php
    endif;
?>
